# Source Generated with Decompyle++
# File: in.pyc (Python 2.2)

'''
/***************************************************************************

\tAuthor \t\t\t:Charles B. Cosse 
\t
\tEmail\t\t\t:ccosse@asymptopia.com
\t\t\t\t\t
\tCopyright\t\t:(C) 2002,2003 Asymptopia Software.
\t
 ***************************************************************************/
/***************************************************************************
                          Animator.py


 ***************************************************************************/
 
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version. (Please note that if you use this *
 *   code you must give credit by including the Author and Copyright       *
 *   info at the top of this file).                                        *
 ***************************************************************************/

'''
import os
import pygame
import sys
from pygame.locals import *
from random import random

class Animator:
    
    def __init__(self):
        self.characters = { }
        self.maneuvers = { }

    
    def add_char(self, name, char):
        self.characters[name] = char

    
    def start_maneuver(self, who, which):
        maneuvers = self.maneuvers
        self.characters[who].begin_maneuver(maneuvers[which])

    
    def define_maneuver(self, name, maneuver):
        self.maneuvers[name] = maneuver


